TransactionImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.spi
Interface TransactionImplementor

All Superinterfaces:
  Transaction

All Known Implementing Classes:
  AbstractTransactionImpl, CMTTransaction, JdbcTransaction, JtaTransaction

    public interface TransactionImplementor

extends Transaction

Additional contract for implementors of the Hibernate `Transaction` API.

Method Summary
`IsolationDelegate` | `createIsolationDelegate()` Retrieve an isolation delegate appropriate for this transaction strategy.
`JoinStatus` | `getJoinStatus()` Get the current state of this transaction's join status.
`void` | `invalidate()` Called after completion of the underlying transaction to signify the facade is no longer valid.
`void` | `join()` Perform a join to the underlying transaction
`void` | `markForJoin()` Mark a transaction as joinable
`void` | `markRollbackOnly()` Make a best effort to mark the underlying transaction for rollback only.
`void` | `resetJoinStatus()` Reset this transaction's join status.

Methods inherited from interface org.hibernate.Transaction
`begin, commit, getLocalStatus, getTimeout, isActive, isInitiator, isParticipating, registerSynchronization, rollback, setTimeout, wasCommitted, wasRolledBack`

Method Detail

### createIsolationDelegate

    IsolationDelegate createIsolationDelegate()

  Retrieve an isolation delegate appropriate for this transaction strategy.

  Returns:
    An isolation delegate.

### getJoinStatus

    JoinStatus getJoinStatus()

  Get the current state of this transaction's join status.

  Returns:
    The current join status

### markForJoin

    void markForJoin()

  Mark a transaction as joinable

### join

    void join()

  Perform a join to the underlying transaction

### resetJoinStatus

    void resetJoinStatus()

  Reset this transaction's join status.

### markRollbackOnly

    void markRollbackOnly()

  Make a best effort to mark the underlying transaction for rollback only.

### invalidate

    void invalidate()

  Called after completion of the underlying transaction to signify the facade is no longer valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.